package com.bonus.zlpt.equip.api.factory;

import com.bonus.zlpt.common.core.web.domain.AjaxResult;
import com.bonus.zlpt.common.core.web.page.TableDataInfo;
import com.bonus.zlpt.equip.api.TypeInfoServiceApi;
import com.bonus.zlpt.equip.api.domain.TypeInfo;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

@Component
public class TypeInfoServiceApiFallBackFotory implements TypeInfoServiceApi {
    @Override
    public TableDataInfo list(TypeInfo typeInfo) {
        return null;
    }

    @Override
    public void export(HttpServletResponse response, TypeInfo typeInfo) {

    }

    @Override
    public AjaxResult getInfo(Long typeId) {
        return null;
    }

    @Override
    public AjaxResult add(TypeInfo typeInfo) {
        return null;
    }

    @Override
    public AjaxResult edit(TypeInfo typeInfo) {
        return null;
    }

    @Override
    public AjaxResult remove(Long[] typeIds) {
        return null;
    }

    @Override
    public AjaxResult remove(Long typeId) {
        return null;
    }

    @Override
    public AjaxResult treeSelect() {
        return null;
    }
}
